%global pkgvers 0
%global scdate0 20250623
%global schash0 f6f4d4a47a30cc50b5a27615ab9eec2c58ebbd29
%global branch0 master
%global source0 git://git.osmocom.org/libosmo-dsp

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           libosmo-dsp
Version:        0.5.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        A library with SDR DSP primitives
License:        GPLv2+

URL:            http://osmocom.org/projects/libosmo-dsp

BuildRequires:  git make autoconf automake libtool fftw-devel doxygen graphviz

%description
A library with SDR DSP primitives.

%package        devel
Summary:        Development files for libosmo-dsp
Requires:       %{name} = %{version}-%{release}

%description    devel
Development files for libosmo-dsp.

%package        doc
Summary:        Documentation files for libosmo-dsp
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
Documentation files for libosmo-dsp.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
test -x ./git-version-gen && echo %{version}-%{release} > .tarball-version 2>/dev/null
autoreconf -fi
%configure --disable-static
make CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# remove libtool
rm -f %{buildroot}%{_libdir}/*.la
# fix docs location
mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_datadir}/doc/libosmodsp %{buildroot}%{_docdir}/%{name}/html


%ldconfig_scriptlets


%files
%exclude %{_docdir}/%{name}/html
%doc AUTHORS COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/osmocom
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%{_docdir}/%{name}/html


%changelog
* Mon Mar 18 2019 Balint Cristian <cristian.balint@gmail.com>
- github update releases
